<?php

require_once("XMLFormatter2.php");

$data = '<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<epp xmlns="urn:ietf:params:xml:ns:epp-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="urn:ietf:params:xml:ns:epp-1.0 epp-1.0.xsd"><response><result code="1301"><msg>Command completed successfully; ack to dequeue</msg></result><msgQ count="1" id="1"><qDate>2011-12-29T08:54:48.0Z</qDate><msg>test</msg></msgQ><trID><clTRID>INET-1357935299-6066d</clTRID><svTRID>12345</svTRID></trID></response></epp>';

try {
  $formatter = new XMLFormatter2();
  echo $formatter->format($data);
} catch (Exception $e) {
  echo $e->getMessage(), "\n";
}
